
#define OF_ADDON_USING_OFXTOUCH
#define OF_ADDON_USING_OFXVECTORMATH

#include "ofMain.h"
#include "ofAddons.h"

#include "verlet.h"

/*class deltaTime
{
public:
	float time;
	
	deltaTime() {
	}
	~deltaTime() {
	}
	
	void doStuff() {
		if(switcher) {
			timeOne = ofGetElapsedTimeMillis(); // get the first value
			switcher = !switcher; //flip teh switchez bitchezzz!!
		} else {
			time = ofGetElapsedTimeMillis() - timeOne; // diff between this and that ^
			switcher = !switcher; // more flipzz 
		}
	}
	
private:
		float timeOne;
	bool switcher;	
};*/

class testApp : public ofxTouchApp {
	
public:
	
	float width, height;
	int mode;
	bool construction;
	bool playAnimation;
	bool drag;
	int prisoner;
	
	verlet Verlet;
	
    void setup();
    void update();
    void draw();
	
    void keyPressed  (int key);
    void keyReleased  (int key);
	
    void mouseMoved(int x, int y );
    void mouseDragged(int x, int y, int button);
    void mousePressed(int x, int y, int button);
    void mouseReleased();
    
    void fingerDragged( const ofxTouchFinger& finger );
    void fingerPressed( const ofxTouchFinger& finger );    
    void fingerReleased( const ofxTouchFinger& finger );
    
};

